## wxCalendarEvent

The wxCalendarEvent class is used together with wxCalendarCtrl.

Derived from

wxDateEvent
wxCommandEvent
wxEvent
wxObject

Include files

<wx/calctrl.h>

See also

wxCalendarCtrl

Members

wxCalendarEvent::GetWeekDay
wxCalendarEvent::SetWeekDay

### wxCalendarEvent::GetWeekDay

wxDateTime::WeekDay GetWeekDay() const

Returns the week day on which the user clicked in `EVT_CALENDAR_WEEKDAY_CLICKED` handler. It doesn't make sense to call this function in other handlers.

### wxCalendarEvent::SetWeekDay

void SetWeekDay(wxDateTime::WeekDay day)

Sets the week day carried by the event, normally only used by the library internally.